#!/bin/bash

# get current directory
DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"

# load images
cd images
for file in *.tgz; do docker load < "$file"; done

cd $DIR

# docker compose
docker compose up -d 

# Add extra db data
docker exec -i yusys-rag-mysql mysql -uroot -pllmllmllm < init_extra.sql

# docker compose logs
docker compose logs -f

